Package org.apache.sling.distribution.journal.shared

# Class NoOpImportPreProcessor

java.lang.Object
org.apache.sling.distribution.journal.shared.NoOpImportPreProcessor

All Implemented Interfaces:
  `org.apache.sling.distribution.ImportPreProcessor`

public class NoOpImportPreProcessor extends Object implements org.apache.sling.distribution.ImportPreProcessor
A no-operation (no-op) implementation of the `ImportPreProcessor` interface. This class is intended as a placeholder or default implementation that performs no actions when its `process(Map)` method is invoked. It's useful in contexts where an `ImportPreProcessor` is required but no pre-import processing is necessary.

## Constructor Summary

Constructors
Constructor
Description
`NoOpImportPreProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Map<String,Object> props)`
Does not perform any pre-import processing on the given properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpImportPreProcessor

public NoOpImportPreProcessor()

## Method Details

### process

public void process(@Nonnull Map<String,Object> props)
Does not perform any pre-import processing on the given properties. This method is intentionally left empty, making this class a no-operation implementation.

Specified by:
  `process` in interface `org.apache.sling.distribution.ImportPreProcessor`
Parameters:
  `props` - properties defining the content to be imported; not used by this method.